Panda3D

Loading...
Searching...
No Matches
Functions | Variables
load_egg_file.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "load_egg_file.h"`
`#include "eggLoader.h"`
`#include "config_egg2pg.h"`
`#include "sceneGraphReducer.h"`
`#include "virtualFileSystem.h"`
`#include "config_putil.h"`
`#include "bamCacheRecord.h"`

Go to the source code of this file.

## Functions
vfile | close_read_file (istr)
| if (!okflag)
| if (istr==nullptr)
| if (record !=nullptr)
| if (vfile==nullptr)
egg2pg_cat | info ()<< "Reading "<< egg_filename<< "\n"
return | load_from_loader (loader)
EggLoader | loader (data)
| PT (PandaNode) load_egg_data(EggData *data
| Another convenience function; works like load_egg_file() but starts from an already-filled EggData structure.
| PT (VirtualFile) vfile
loader _data | set_auto_resolve_externals (true)
loader _data | set_coordinate_system (cs)
loader _data | set_egg_filename (egg_filename)
loader _data | set_egg_timestamp (vfile->get_timestamp())
egg_filename | set_text ()
loader _data | steal_children (children_holder)

## Variables
loader | _record = record
CoordinateSystem | cs
children_holder steal_children * | data
std::istream * | istr = vfile->open_read_file(true)
EggLoader | loader
bool | okflag = loader._data->read(*istr)
CoordinateSystem BamCacheRecord * | record
VirtualFileSystem * | vfs = VirtualFileSystem::get_global_ptr()

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2002-02-26

Definition in file load_egg_file.cxx.

## Function Documentation

## ◆ if() [1/4]

if | ( | ! | okflag | ) |

Definition at line 110 of file load_egg_file.cxx.

## ◆ if() [2/4]

if | ( | istr | = = nullptr | ) |

Definition at line 98 of file load_egg_file.cxx.

## ◆ if() [3/4]

if | ( | record ! | = nullptr | ) |

Definition at line 79 of file load_egg_file.cxx.

## ◆ if() [4/4]

if | ( | vfile | = = nullptr | ) |

Definition at line 90 of file load_egg_file.cxx.

## ◆ PT()

PT | ( | PandaNode |  | ) |

Another convenience function; works like load_egg_file() but starts from an already-filled EggData structure.

The structure is destroyed in the loading.

References EggGroupNode::steal_children().

## Variable Documentation

## ◆ _record

loader _record = record

Definition at line 87 of file load_egg_file.cxx.

## ◆ cs

EXPCL_PANDA_EGG2PG CoordinateSystem cs

Initial value:
{
EggGroupNode children_holder
EggGroupNode
A base class for nodes in the hierarchy that are not leaf nodes.
Definition eggGroupNode.h:46

Definition at line 73 of file load_egg_file.cxx.

## ◆ data

children_holder steal_children* data

Definition at line 129 of file load_egg_file.cxx.

## ◆ istr

std::istream* istr = vfile->open_read_file(true)

Definition at line 97 of file load_egg_file.cxx.

## ◆ loader

EggLoader loader(data)

Definition at line 83 of file load_egg_file.cxx.

## ◆ okflag

okflag = loader._data->read(*istr)

Definition at line 96 of file load_egg_file.cxx.

## ◆ record

CoordinateSystem BamCacheRecord* record

Initial value:
{
Filename egg_filename = filename
Filename
The name of a file, such as a texture file or an Egg file.
Definition filename.h:44

Definition at line 74 of file load_egg_file.cxx.

## ◆ vfs

VirtualFileSystem* vfs = VirtualFileSystem::get_global_ptr()

Definition at line 77 of file load_egg_file.cxx.